Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007979TestLinkCommunication via mailpublic2017-06-18 12:172017-06-20 10:09
Reporterasishgupta 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version 
Summary0007979: Issue in Sending mail from TestLink
DescriptionConfigured smtp in custom_config.inc.php in TestLink ide 1.9.14 with the following details.
$g_smtp_host = 'mail server IP';
$g_tl_admin_email = '<my domain mail id>';
$g_from_email = '<my domain mail id>';
$g_return_path_email = '<my domain mail id>' ;

$g_smtp_username = '<login name>';
$g_smtp_password = '<login password>';
$g_smtp_connection_mode = '';
$g_smtp_port = '25'; .
While resetting password or using Lost password feature of TestLink, mail is not sent with the following error message .
"SMTP Error: Could not authenticate.

SMTP server error: VXNlcm5hbWU6

"
Steps To ReproducePlz configure mail using above details.
Additional InformationError message
"SMTP Error: Could not authenticate.

SMTP server error: VXNlcm5hbWU6

"
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browserany browser
PHP VersionPHP version: 5.5.35
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0026497)
fman (administrator)
2017-06-19 13:28

If a configuration issue ON YOUR SIDE, because testlink can not authenticate with your SMTP server, then is not a testlink issue
(0026502)
asishgupta (reporter)
2017-06-20 09:09

Dear fman,
TestLink is giving warning message as "E_NOTICE Undefined variable: note - in lostPassword.php - Line 67".
Regards,
ASISH KUMAR GUPTA
(0026503)
fman (administrator)
2017-06-20 10:09

Please one issue for ticket => first solve your mail authentication before looking for other issues.

IN addition
because 1.9.16 has been released, issues are only analized if you can reproduce on latest version

- Issue History
Date Modified Username Field Change
2017-06-18 12:17 asishgupta New Issue
2017-06-19 13:28 fman Note Added: 0026497
2017-06-20 09:09 asishgupta Note Added: 0026502
2017-06-20 10:09 fman Note Added: 0026503
2017-06-20 10:09 fman QA Team - Task Workflow Status => TBD
2017-06-20 10:09 fman Status new => closed
2017-06-20 10:09 fman Assigned To => fman
2017-06-20 10:09 fman Resolution open => no change required



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker